Update Fail2Ban to 1.0+

Need help customizing or patching a package? Maybe seeking advice on contributing to the void-packages official Github repo.
Post Reply
MeganerdNL
Posts: 3
https://dekodeco.com.pl/producent-mebli-na-wymiar-w-warszawie-nowoczesne-kuchnie/
Joined: Mon Jun 19, 2023 1:42 pm

Update Fail2Ban to 1.0+

Post by MeganerdNL »

Please update Fail2Ban to version 1.0+.
There are a lot of tests failing in Fail2Ban 0.11.2 - because of Python 3.11 that is installed standard with Void.

See https://github.com/fail2ban/fail2ban/pull/3267, https://github.com/fail2ban/fail2ban/issues/3530, https://github.com/fail2ban/fail2ban/issues/3260 and https://github.com/fail2ban/fail2ban/issues/3314 (to name a few).

These problems are dealt with in version 1.0+.

Cheers!
pid1
Site Admin
Posts: 113
Joined: Sun Nov 21, 2021 2:50 am
Location: USA

Re: Update Fail2Ban to 1.0+

Post by pid1 »

Hello MeanerdNL,

Unfortunately I don't think many package maintainers are on these forums (yet!).

Doing some looking, it appears the last update to fail2ban in the void-repo was to get it working with Python 3.10. Reading some of the Github issues on fail2ban's repo it appears it will require more than just a patch on 0.11.2.

You can try contacting the listed maintainer (necrophcodr <necrophcodr [at] necrophcodr [dot] me>), reporting an issue on the void-repo Github, or trying your hand at using xbps-src to build the new version of fail2ban locally - and if you do this last option, please submit it as a PR to the void-repo repository so others can benefit from the upgrade.
Linux/BSD since 2001. Void Linux+KDE/Plasma since 2015. Windows? Not even in a virtual machine :D
MeganerdNL
Posts: 3
Joined: Mon Jun 19, 2023 1:42 pm

Re: Update Fail2Ban to 1.0+

Post by MeganerdNL »

pid1 wrote: Mon Jun 19, 2023 2:07 pm Hello MeanerdNL,

Unfortunately I don't think many package maintainers are on these forums (yet!).

Doing some looking, it appears the last update to fail2ban in the void-repo was to get it working with Python 3.10. Reading some of the Github issues on fail2ban's repo it appears it will require more than just a patch on 0.11.2.

You can try contacting the listed maintainer (necrophcodr <necrophcodr [at] necrophcodr [dot] me>), reporting an issue on the void-repo Github, or trying your hand at using xbps-src to build the new version of fail2ban locally - and if you do this last option, please submit it as a PR to the void-repo repository so others can benefit from the upgrade.
Yes, but 1.0 was released to be compatible with 3.11, so I think it could be done in a breeze. I will e-mail the maintainer. Thanks.
MeganerdNL
Posts: 3
Joined: Mon Jun 19, 2023 1:42 pm

Re: Update Fail2Ban to 1.0+

Post by MeganerdNL »

Post Reply